<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imroifilt</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imroifill.html">&lt;&lt; imroifill</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_14ed4cc6f6638a94457aafa06e5a086c.html">ROI Processing</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_14ed4cc6f6638a94457aafa06e5a086c.html">ROI Processing</a> &gt; imroifilt</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imroifilt</h1>
    <p class="refpurpose">Filtering of a selected region</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imroifilt</span><span class="default">(</span><span class="default">imin</span><span class="default">,</span><span class="default">f</span><span class="default">,</span><span class="default">mask</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">Input Image</p></dd></dt>
   <dt><span class="term">f :</span>
      <dd><p class="para">Input filter</p></dd></dt>
   <dt><span class="term">mask :</span>
      <dd><p class="para">Mask for the ROI</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">Output image</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function perform filtering over the region specified in mask.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/balloons_gray.png</span><span class="scilabstring">.</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">mask</span> <span class="scilaboperator">=</span> <span class="scilabid">imroi</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">h</span> <span class="scilaboperator">=</span> <span class="scilabid">fspecial</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">unsharp</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S2</span> <span class="scilaboperator">=</span> <span class="scilabid">imroifilt</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabid">h</span><span class="scilabdefault">,</span><span class="scilabid">mask</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imroi.html" class="link">imroi</a></li>
   <li class="member"><a href="imroifill.html" class="link">imroifill</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imroifill.html">&lt;&lt; imroifill</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_14ed4cc6f6638a94457aafa06e5a086c.html">ROI Processing</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
